# karma-bootstrap-framework
> A Karma plugin. dynamicly set global variables at runtime

## Installation
Install `karma-bootstrap-framework` as a `devDependency` in your package.json:

```bash
npm install karma-bootstrap-framework --save-dev
```
##### Node Packaged Modules (https://www.npmjs.org/package/karma-bootstrap-framework)

### Usage
##### Adding karma-bootstrap-framework to an existing Karma config

```js

module.exports = function(config) {
  config.set({
    /*
    ************************
    frameworks: [....],
    browsers: [....],
    reporters: [....],
    ************************
    */
    files: [
      {pattern: 'jquery/dist/jquery.min.js', requirejs: {
        name: 'jquery',
        shim: {
          'jquery': {
            deps: ['lodash', 'merge']
          }
        },
      }},
      {pattern: 'lodash/dist/lodash.min.js', requirejs: {
        name: 'lodash'
      }},
      {pattern: 'requirejs-text/text.js', requirejs: {
        name: 'text'
      }},
      {pattern: 'chai/chai.js', requirejs: {
        name: 'chai'
      }},
      {pattern: 'merge.min.js', requirejs: {
        name: 'merge'
      }}
    ],
  });
};
```

### Authors

  - [Roberto Carlos Marte](http://carlosmarte.me/)

## License

(The MIT License)

Copyright (c) 2014 Carlos Marte &lt;opensource@carlosmarte.me&gt;

Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the
'Software'), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

##### This file was generated on November 8 2014.
