(function(karma, requirejs, require, define) {
  var allTestFiles, pathToModule;

  allTestFiles = [];

  pathToModule = function(path) {
    return path.replace(/^\/base\//, "").replace(/\.js$/, "");
  };

  Object.keys(window.__karma__.files).forEach(function(file) {
    if (/Spec\.js$/.test(file)) {
      return allTestFiles.push(pathToModule(file));
    }
  });

  var getBaseUrl = function(){
    return "/base";
  }

  var getCallback = function(callback){
    return window.__karma__.start();
  }

  var getPath = function(){
    if(!karma.config || !karma.config.requirejs){ return []; }
    return karma.config.requirejs.paths;
  }

  var getShim = function(){
    return karma.config.requirejs.shim;
  }

  var getModuleConfig = function(){
    return karma.config.requirejs.config;
  }

  require.config({
    baseUrl: getBaseUrl(),
    deps: allTestFiles,
    callback: getCallback,
    paths: getPath(),
    shim: getShim(),
    config: getModuleConfig()
  });

  var deps;
  deps = ['module', 'chai', 'jquery', 'text'];
  define('karma-global', deps, function(module, chai, jquery) {
    return {
      'chai': chai,
      'expect': chai.expect,
      '$': jquery
    };
  });

})(window.__karma__, window.requirejs, window.require, window.define);
